/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IWebservicesDeployableMetadata.java 4493 2009-02-02 09:25:06Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ws.api;

import org.ow2.util.ee.metadata.ws.api.xml.struct.IWebservices;

/**
 * The IWebservicesDeployableMetadata add additional metadata accessible from the deployable instance.
 * Here, a webservice deployable can give access to the webservices.xml file.
 *
 * @author Guillaume Sauthier
 */
public interface IWebservicesDeployableMetadata {
    /**
     * @return the webservices 1.2 deployment descriptor object.
     */
    IWebservices getWebservices12();

    /**
     * Sets the webservices 1.2 deployment descriptor object.
     * @param webservices12 the webservices 1.2 deployment descriptor object.
     */
    void setWebservices12(IWebservices webservices12);
}
